Subject: Re: Can we clarify the purpose of `git diff -s`?

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 May 2023 15:17:40 -0700

Sergey Organov <[email-masked]> writes:

>> Indeed "--silent" or "--squelch" is one of the things that I plan to
>> suggest when we were to go with "--no-patch is no longer -s" topic.
>
> While we are at this, may I vote against "--squelch", please?

Sure.  I actually do not think either "--silent" or "--squelch" is a
good name in the context of "git show"; as the output from the
command consists of the commit log message and the output from the
diff machinery, and "-s" is about squelching only the latter.

I have a name better than these two in mind, but as I said already,
we are getting closer to the pre-release feature freeze, and I'd
rather reserve my bandwidth to review rerolls of the topics that are
in 'seen' and have seen some reviews already to merge them down to
'next' if they are ready, rather than staying on this thread, as
"--no-patch is no longer -s" will not happen within this cycle.

Thanks.